[tls.options]
  [tls.options.default]
    minVersion = "VersionTLS12"
    cipherSuites = [
      "TLS_AES_256_GCM_SHA384",
      "TLS_CHACHA20_POLY1305_SHA256",
      "TLS_AES_128_GCM_SHA256",

      "TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256",
      "TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384",
      "TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305"
    ]


[http.middlewares]
  [http.middlewares.sts.headers]
    #sslRedirect = true
    stsIncludeSubdomains = true
    stsSeconds = 15768000
    #customFrameOptionsValue = "SAMEORIGIN"
    contentTypeNosniff = true
    #frameDeny = true
    browserXssFilter = true
    referrerPolicy = "no-referrer"
    [http.middlewares.sts.headers.customResponseHeaders]
      X-Permitted-Cross-Domain-Policies = "none"
      X-Download-Options = "noopen"
      Permissions-Policy = "interest-cohort=()"#no FLOC

  #middleware for CalDAV and CardDAV auto-discovery
  [http.middlewares.dav.redirectRegex]
    regex = "https://(.*)/.well-known/(card|cal)dav"
    replacement = "https://${1}/remote.php/dav/"
    permanent = true
